### Enumeration

# GtkTextWindowType

#### Declaration

    enum Gtk.TextWindowType

#### Description [src]

Used to reference the parts of `GtkTextView`.

#### Members

`GTK_TEXT_WINDOW_WIDGET`

  Window that floats over scrolling areas.

  - Value: `1`
  - Nickname: `widget`
  - Available since: 4.0
`GTK_TEXT_WINDOW_TEXT`

  Scrollable text window.

  - Value: `2`
  - Nickname: `text`
  - Available since: 4.0
`GTK_TEXT_WINDOW_LEFT`

  Left side border window.

  - Value: `3`
  - Nickname: `left`
  - Available since: 4.0
`GTK_TEXT_WINDOW_RIGHT`

  Right side border window.

  - Value: `4`
  - Nickname: `right`
  - Available since: 4.0
`GTK_TEXT_WINDOW_TOP`

  Top border window.

  - Value: `5`
  - Nickname: `top`
  - Available since: 4.0
`GTK_TEXT_WINDOW_BOTTOM`

  Bottom border window.

  - Value: `6`
  - Nickname: `bottom`
  - Available since: 4.0